package com.ss.android.ugc.aweme.legoImp.task;

import X.AnonymousClass80B;
import X.AnonymousClass80C;
import X.AnonymousClass80D;
import X.C22428Zd;
import X.C22438Ze;
import X.C25518ec;
import X.C42869Ft;
import X.C42909Fx;
import X.SfZ;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.util.List;

public final class StorageClearTask implements C22438Ze {
    public static volatile boolean LIZ;
    public static final AnonymousClass80D LIZIZ = new AnonymousClass80D((byte) 0);

    static {
        Covode.recordClassIndex(90625);
    }

    public final boolean meetTrigger() {
        return true;
    }

    public final String prefix() {
        return "task_";
    }

    public final boolean serialExecute() {
        return false;
    }

    public final int targetProcess() {
        return 1;
    }

    public final List triggerOtherLegoComponents() {
        return null;
    }

    public final C42869Ft triggerType() {
        return C22428Zd.LIZ(this);
    }

    public final C42909Fx scenesType() {
        return C42909Fx.DEFAULT;
    }

    public final C25518ec type() {
        return C25518ec.BOOT_FINISH;
    }

    public final String key() {
        return getClass().getSimpleName();
    }

    public final void run(Context context) {
        if (context != null && !LIZ) {
            LIZ = true;
            SfZ.LJIJ.LJIIIIZZ().LIZ(new AnonymousClass80B(context), AnonymousClass80C.LIZ);
        }
    }
}
